Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.simevents
Enum ContinuousState.IntegMethod

    java.lang.Object
      java.lang.Enum<ContinuousState.IntegMethod>
          umontreal.iro.lecuyer.simevents.ContinuousState.IntegMethod

All Implemented Interfaces:
  Serializable, Comparable<ContinuousState.IntegMethod>

Enclosing class:
  ContinuousState

    public static enum ContinuousState.IntegMethod

extends Enum<ContinuousState.IntegMethod>

Enum Constant Summary
`EULER`
`RUNGEKUTTA2`
`RUNGEKUTTA4`

Method Summary
`static ContinuousState.IntegMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContinuousState.IntegMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EULER

    public static final ContinuousState.IntegMethod EULER

### RUNGEKUTTA2

    public static final ContinuousState.IntegMethod RUNGEKUTTA2

### RUNGEKUTTA4

    public static final ContinuousState.IntegMethod RUNGEKUTTA4

Method Detail

### values

    public static ContinuousState.IntegMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContinuousState.IntegMethod c : ContinuousState.IntegMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContinuousState.IntegMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.